#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire700seven4xi .py">
#<abstract4xi abstract = "fires to direction seven and to distance 700"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire700seven4xi ']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
       
# -------------------------------------------------------------------------------------------------
# SHOT2SEVEN - COORDINATE SIGNS OF SHOOT2SEVEN4XI: (X - ,Y - ,Z + )
# -------------------------------------------------------------------------------------------------    
global shot2seven7004xi


#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
shot2seven7004xi = {
                1:'-105x-664y191z',
                2:'-10x-12y699z',
                3:'-110x-309y618z',
                4:'-11x-92y693z',
                5:'-123x-297y621z',
                6:'-124x-604y330z',
                7:'-136x-285y624z',
                8:'-139x-656y198z',
                9:'-148x-272y627z',
                10:'-14x-18y699z',
                11:'-14x-85y694z',
                12:'-155x-593y337z',
                13:'-158x-258y630z',
                14:'-168x-244y633z',
                15:'-16x-25y699z',
                16:'-173x-646y204z',
                17:'-177x-230y636z',
                18:'-17x-77y695z',
                19:'-184x-216y639z',
                20:'-185x-581y343z',
                21:'-191x-201y642z',
                22:'-195x-36y671z',
                23:'-197x-186y645z',
                24:'-19x-32y698z',
                25:'-19x-69y696z',
                26:'-1x-107y691z',
                27:'-1x-1y699z',
                28:'-200x-47y669z',
                29:'-201x-171y647z',
                30:'-203x-60y666z',
                31:'-205x-157y650z',
                32:'-206x-634y211z',
                33:'-206x-72y664z',
                34:'-207x-142y653z',
                35:'-208x-86y662z',
                36:'-209x-128y655z',
                37:'-209x-99y660z',
                38:'-20x-39y698z',
                39:'-210x-113y657z',
                40:'-214x-567y349z',
                41:'-21x-46y698z',
                42:'-21x-54y697z',
                43:'-21x-61y696z',
                44:'-238x-620y218z',
                45:'-242x-552y355z',
                46:'-267x-225y606z',
                47:'-269x-535y361z',
                48:'-269x-605y224z',
                49:'-274x-207y609z',
                50:'-279x-189y613z',
                51:'-283x-171y616z',
                52:'-286x-153y619z',
                53:'-288x-135y622z',
                54:'-289x-117y626z',
                55:'-28x-357y600z',
                56:'-294x-517y367z',
                57:'-296x-278y688z',
                58:'-299x-588y231z',
                59:'-29x-625y312z',
                60:'-319x-498y373z',
                61:'-329x-570y238z',
                62:'-343x-478y379z',
                63:'-357x-550y244z',
                64:'-357x-601y1z',
                65:'-35x-676y178z',
                66:'-365x-456y384z',
                67:'-384x-528y251z',
                68:'-386x-433y390z',
                69:'-388x-582y8z',
                70:'-405x-410y396z',
                71:'-409x-505y257z',
                72:'-418x-560y15z',
                73:'-423x-385y402z',
                74:'-433x-481y264z',
                75:'-439x-360y408z',
                76:'-447x-537y22z',
                77:'-454x-334y413z',
                78:'-456x-456y270z',
                79:'-468x-308y419z',
                80:'-46x-349y604z',
                81:'-474x-513y29z',
                82:'-477x-430y277z',
                83:'-480x-280y424z',
                84:'-490x-253y430z',
                85:'-497x-402y283z',
                86:'-498x-225y435z',
                87:'-500x-487y36z',
                88:'-506x-197y441z',
                89:'-511x-169y446z',
                90:'-515x-141y452z',
                91:'-515x-374y290z',
                92:'-517x-113y457z',
                93:'-525x-460y43z',
                94:'-531x-345y296z',
                95:'-546x-315y302z',
                96:'-548x-432y50z',
                97:'-559x-285y309z',
                98:'-569x-402y57z',
                99:'-570x-254y315z',
                100:'-580x-222y321z',
                101:'-588x-191y327z',
                102:'-589x-372y64z',
                103:'-594x-159y333z',
                104:'-598x-127y340z',
                105:'-600x-95y346z',
                106:'-601x-63y352z',
                107:'-607x-340y71z',
                108:'-61x-620y318z',
                109:'-623x-307y78z',
                110:'-638x-274y85z',
                111:'-63x-340y608z',
                112:'-650x-240y92z',
                113:'-661x-205y99z',
                114:'-670x-170y106z',
                115:'-6x-6y699z',
                116:'-6x-99y692z',
                117:'-70x-671y184z',
                118:'-79x-331y611z',
                119:'-93x-613y324z',
                120:'-95x-320y614z',
                121:'-9x-364y597z',
                122:'0x-678y171z'}         
#"
#/>


# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire700seven4xi " usage = "target function for charge2seven4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire700seven4xi (queue2seven, consumer_channel2seven, publisher_channel2seven):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE700SEVEN4XI - STARTED TIME: ", time2start)
        #  
        
        print("\n (STEP 1A2/33) OF FIRE700SEVEN4XI -  QUEUE2SEVEN: ", queue2seven)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE700SEVEN4XI -  CONSUMER_CHANNEL2SEVEN: ", consumer_channel2seven)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE700SEVEN4XI -  PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE700SEVEN4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2seven.put(shot2seven7004xi) 
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE700SEVEN4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE700SEVEN4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE700SEVEN4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2seven8shot2seven7004xi </ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2seven8shot2seven7004xi </nack2put4xi>" 
            
        publisher_channel2seven.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE700SEVEN4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE700SEVEN4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2SEVEN: ", publisher_channel2seven, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE700SEVEN4XI - RETURNING QUEUE OBJECT QUEUE2SEVEN: ", queue2seven, " - TIME: ", time4xi())  
        # 
            
    return queue2seven    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>



# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire700seven4xi .py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

       